netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
acl.c File Reference
`#include <errno.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <atalk/acl.h>`
`#include <atalk/afp.h>`
`#include <atalk/errchk.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`

## Functions
int | remove_nfsv4_acl_vfs (const char *name)
| Removes all non-trivial ACLs from object.
int | remove_posix_acl_vfs (const char *name)
| Remove any ACL_USER, ACL_GROUP, ACL_MASK or ACL_TYPE_DEFAULT ACEs from an object.

## Function Documentation

## ◆ remove_nfsv4_acl_vfs()

int remove_nfsv4_acl_vfs | ( | const char * | name | ) |

Removes all non-trivial ACLs from object.

Returns
  full AFPERR code

## ◆ remove_posix_acl_vfs()

int remove_posix_acl_vfs | ( | const char * | name | ) |

Remove any ACL_USER, ACL_GROUP, ACL_MASK or ACL_TYPE_DEFAULT ACEs from an object.

Parameters

  name | filesystem object name

Returns
  AFP error code, AFP_OK (= 0) on success, AFPERR_MISC on error